Skip to main content
GET
List all webhook events for a subscription

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

webhook_subscription
string
required

The webhook subscription ID. Example: wh_sub_01jz8v2q4x...

Query Parameters

page[size]
integer
default:10

The number of results that will be returned per page.

page[number]
integer

The page number to start the pagination from.

fields[webhook-events]
enum<string>[]
Available options:
status,
type,
webhook_url,
payload,
created_at,
attempts_count,
last_attempted_at,
last_response_status_code
fields[webhook-event-attempts]
enum<string>[]
Available options:
status,
attempt,
created_at,
response_status_code
filter[type]
enum<string>

Filter by event type.

Available options:
verification.pending,
verification.successful,
verification.failed,
verification.cancelled,
verification.expired,
verification.error,
verification.authentication_ready,
verification.authentication_link_sent,
invoice.reading,
invoice.processed,
invoice.failed,
invoice.invalid,
webhook.test
Example:

"verification.successful"

filter[status]
enum<string>

Filter by delivery status.

Available options:
processing,
succeeded,
failed
Example:

"succeeded"

filter[created_at_start]
string<date-time>

Filter events created on or after this datetime.

Example:

"2026-04-01T00:00:00Z"

filter[created_at_end]
string<date-time>

Filter events created on or before this datetime.

Example:

"2026-04-30T23:59:59Z"

sort
enum<string>[]
Available options:
created_at,
-created_at,
status,
-status,
type,
-type
include
enum<string>[]
Available options:
attempts,
attemptsCount,
attemptsExists

Response

Paginated set of WebhookEventResource

data
WebhookEventResource · object[]
required
meta
object
required
included
WebhookEventAttemptResource · object[]